--- old/usr/src/lib/libm/common/m9x/scalblnf.c	2014-10-27 12:37:22.063396365 -0400
+++ new/usr/src/lib/libm/common/m9x/scalblnf.c	2014-10-27 12:37:22.074703441 -0400
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak scalblnf = __scalblnf
-#endif
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
 
 static const float twom25f = 2.98023223876953125e-8F;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two23f = 8388608.0F;
 #else
 /*
@@ -54,7 +52,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 float
 scalblnf(float x, long n) {
@@ -71,7 +69,7 @@
 	if (ix == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two23f;
 		k = ((*px & ~0x80000000) >> 23) - 23;
 #else
